varying vec4 projPos;

uniform sampler2D Color1;
uniform sampler2D SceneLight;

void main()
{
  vec2 texScene = projPos.xy / projPos.w * .5 + .5;;

  // normal
  vec4 light = texture2D( SceneLight, texScene );

  // color
  vec3 color  = texture2D( Color1, gl_TexCoord[0].st ).rgb;
  vec3 lightColor = light.rgb + light.a;// * (( 1.0 - p ) * light.rgb + vec3( p, p, p ));
  color *= lightColor;
  
  gl_FragColor = vec4( color.rgb, 1.0 );
}